summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Christopher Walker2013-04-27 01:08:43 +0200
committer Niels Horn2013-04-28 17:30:22 +0200
commitdd019c88e285d1e09686fcb2b1134e5128689576 (patch)
treefd375732c1d4c8a3e31ce53e94a9eb3d89f85b85 /perl
parent52d4a4a6d768ffef29754330894b1f7d75ed8319 (diff)
downloadslackbuilds-dd019c88e285d1e09686fcb2b1134e5128689576.tar.gz
perl/perl-Crypt-Blowfish: Added (Perl Blowfish encryption module)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Crypt-Blowfish/README4
-rw-r--r--perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.SlackBuild104
-rw-r--r--perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.info10
-rw-r--r--perl/perl-Crypt-Blowfish/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/perl/perl-Crypt-Blowfish/README b/perl/perl-Crypt-Blowfish/README
new file mode 100644
index 0000000000..3ae31a90c0
--- /dev/null
+++ b/perl/perl-Crypt-Blowfish/README
@@ -0,0 +1,4 @@
+Perl Blowfish encryption module.
+
+Blowfish is capable of strong encryption and can use key sizes up to 56 bytes
+(a 448 bit key).
diff --git a/perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.SlackBuild b/perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.SlackBuild
new file mode 100644
index 0000000000..473a6925f9
--- /dev/null
+++ b/perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for perl-Crypt-Blowfish
+
+# Copyright 2013 Christopher Walker Copperas Cove, TX
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Crypt-Blowfish
+VERSION=${VERSION:-2.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Crypt-Blowfish
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYRIGHT Changes README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.info b/perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.info
new file mode 100644
index 0000000000..e8a88aaa49
--- /dev/null
+++ b/perl/perl-Crypt-Blowfish/perl-Crypt-Blowfish.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Crypt-Blowfish"
+VERSION="2.12"
+HOMEPAGE="http://search.cpan.org/dist/Crypt-Blowfish-2.12/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/Crypt-Blowfish-2.12.tar.gz"
+MD5SUM="a0eca17addc8bdaf38c044c365a8800c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Christopher Walker"
+EMAIL="kris240376@gmail.com"
diff --git a/perl/perl-Crypt-Blowfish/slack-desc b/perl/perl-Crypt-Blowfish/slack-desc
new file mode 100644
index 0000000000..6fa695ca92
--- /dev/null
+++ b/perl/perl-Crypt-Blowfish/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Crypt-Blowfish: perl-Crypt-Blowfish (Perl Blowfish encryption module)
+perl-Crypt-Blowfish:
+perl-Crypt-Blowfish: Blowfish is capable of strong encryption and can use key sizes up to
+perl-Crypt-Blowfish: 56 bytes (a 448 bit key).
+perl-Crypt-Blowfish:
+perl-Crypt-Blowfish: Homepage: http://search.cpan.org/dist/Crypt-Blowfish-2.12/
+perl-Crypt-Blowfish:
+perl-Crypt-Blowfish:
+perl-Crypt-Blowfish:
+perl-Crypt-Blowfish:
+perl-Crypt-Blowfish: